Modo API
  1. Parties
  • Welcome to Modo
  • Quickstart
    • Historic API
    • Transfer API
    • Portfolio API
    • API Dashboard
  • API
    • Canton
      • Contracts
        • Get contracts list
        • Get contract details
        • Get contract events
      • Events
        • Get events list
        • Get event details
      • Featured Apps
        • Get featured apps list
        • Get featured app details
      • Governance
        • Get vote requests list
        • Get individual votes
        • Get vote request details
        • Get votes by vote request ID
      • Market Info
        • Get market info
        • Get token rate
      • Dashboard
        • Get dashboard data
      • Parties
        • Get parties list
          GET
        • Get top parties
          GET
        • Get party details
          GET
        • Get party types
          GET
      • Super Validators
        • Get super validators list
      • Tokens
        • Get tokens list
        • Get token details
      • Transfers
        • Get transfers list
        • Get transfers by party
      • Updates
        • Get updates list
        • Get raw update details
      • Validators
        • Get validator list
        • Get new validator list
        • Get validator details
        • Check if validator exists
  • Schemas
    • PageableInfo
    • PagedResponseValidatorDtoAPI
    • FeaturedAppDtoAPI
    • SortInfo
    • ValidatorDtoAPI
    • Actual
    • Target
    • TrafficStatus
    • ValidatorDetailsDtoAPI
    • PagedResponseUpdateDtoAPI
    • UpdateDtoAPI
    • PagedResponseTransferDtoAPI
    • ParticipantDtoAPI
    • TransferDtoAPI
    • PageResponseTransferAccountDtoAPI
    • TransferAccountDtoAPI
    • PagedResponseTokenDtoAPI
    • TokenDtoAPI
    • TokenDetailsDtoAPI
    • PagedResponseSuperValidatorDtoAPI
    • SuperValidatorDtoAPI
    • PagedResponseRewardRowDtoAPI
    • RewardRowDtoAPI
    • PagedResponsePartyDtoAPI
    • PartyDtoAPI
    • AccountDetailsDto
    • HoldingsSummary
    • HoldingsSummaryResponse
    • AccountTypesDto
    • TokenRateDtoAPI
    • CirculatingSupplyDtoAPI
    • DominanceDtoAPI
    • MarketCapDtoAPI
    • MarketInfoDtoAPI
    • TotalStakeDtoAPI
    • TotalSupplyDtoAPI
    • PagedResponseVoteRequestDtoAPI
    • VoteRequestDtoAPI
    • PagedResponseVoteDtoAPI
    • VoteDtoAPI
    • JsonNode
    • VoteRequestDetailsDtoAPI
    • IndividualVoteDtoAPI
    • PagedResponseIndividualVoteDtoAPI
    • PagedResponseFeaturedAppDtoAPI
    • EventDtoAPI
    • PagedResponseEventDtoAPI
    • EventDetailsDtoAPI
    • ContractOfferDtoAPI
    • DashboardDtoAPI
    • PagedResponseContractOfferDtoAPI
    • ContractDetailsDtoAPI
    • ContractEventDtoAPI
    • PageResponseContractEventDtoAPI
  1. Parties

Get party details

GET
/v1/parties/{partyId}
Retrieve detailed information about a specific party

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Responses

🟢200
*/*
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.modo.link/canton-mainnet/v1/parties/Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41' \
--header 'x-api-key: <api-key>'
Response Response Example
{
    "partyId": "string",
    "createdAt": 0,
    "holdingsSummaryResponse": {
        "record_time": "2019-08-24T14:15:22.123Z",
        "migration_id": 0,
        "computed_as_of_round": 0,
        "summaries": [
            {
                "party_id": "string",
                "total_unlocked_coin": "string",
                "total_locked_coin": "string",
                "total_coin_holdings": "string",
                "accumulated_holding_fees_unlocked": "string",
                "accumulated_holding_fees_locked": "string",
                "accumulated_holding_fees_total": "string",
                "total_available_coin": "string",
                "record_time": "2019-08-24T14:15:22.123Z",
                "migration_id": 0,
                "computed_as_of_round": 0
            }
        ]
    }
}
Modified at 2025-12-19 12:15:57
Previous
Get top parties
Next
Get party types
Built with